@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;600&display=swap');

:root {
  --primary-color: #ad0004;
  --second-color: #f3f3f3;
  --grey-color: #838383;
  --white-color: #fff;
  --black-color: #000;
}

body {
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
}

/* ======================================
 start page */
 .welcome {
  align-self: flex-start;
}

.welcome h6 {
  font-style: normal;
  font-weight: 700;
  font-size: 0.75rem;
  line-height: 150%;
  color: var(--grey-color);
}
.Security {
  align-self: flex-start;
}

.Security h1 {
  font-weight: 700;
  font-style: normal;
  font-size: 2.25rem;
  line-height: 2.375rem;
  color: #000000;
}
 /* start page ends */

.swal-button:not([disabled]):hover {
  background-color: var(--primary-color) !important;
}

.swal-button {
  background-color: var(--primary-color) !important;
  color: #fff;
  border: none;
  box-shadow: none;
  border-radius: 5px;
  font-weight: 600;
  font-size: 14px;
  padding: 12px 33px;
  margin: 0;
  cursor: pointer;
}

.swal-footer {
  text-align: right;
  padding-top: 13px;
  margin-top: 13px;
  padding: 13px 16px;
  border-radius: inherit;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  display: flex !important;
  justify-content: center !important;
}

.loader {
  border: 5px solid var(--second-color);
  border-top: 5px solid var(--primary-color);
  border-radius: 50%;
  width: 30px;
  height: 30px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.footer {
  background-color: var(--black-color);
  color: var(--second-color);
  padding: 10px 10px;
  position: relative !important;
  left: 0 !important;
  bottom: 0 !important;
  width: 100%;
}
.footer p {
  margin: 0;
}

.compass {
  position: relative;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
  margin: auto;
}

.compass>.arrow {
  position: absolute;
  width: 0;
  height: 0;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  border-style: solid;
  border-width: 14px 13px 0 15px;
  border-color: var(--primary-color) transparent transparent transparent;
  z-index: 1;
}

.compass>.compass-circle,
.compass>.my-point {
  position: absolute;
  width: 90%;
  height: 90%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: transform 0.1s ease-out;
  background: url(https://purepng.com/public/uploads/large/purepng.com-compasscompassinstrumentnavigationcardinal-directionspointsdiagram-1701527842316onq7x.png) center no-repeat;
  background-size: contain;
}

.compass>.my-point {
  opacity: 0;
  width: 20%;
  height: 20%;
  background: rgb(8, 223, 69);
  border-radius: 50%;
  transition: opacity 0.5s ease-out;
}

.start-btn {
  margin-bottom: auto;
}

/* top language buttons */
.lang-btn {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
  padding: 5px 10px;
}
.lang-btn span {

}
/* top horizontal scroll */
.top-hscroll {
  padding: 10px 0;
}
.top-hscroll .hscroll-box {
  display: flex;
  gap: 10px;
}
.top-hscroll .hscroll-hldr {
  width: auto;
  flex: 0 0 auto;
  background: var(--grey-color);
  color: var(--white-color);
  border-radius: 10px;
  padding: 8px 10px;
  border: "none";
}
.top-hscroll .hscroll-text {
  font-size: .8rem;
  text-align: center;
}

/* bottom horizontal scroll */
.bottom-hscroll {
  padding: 10px 0;
}
.bottom-hscroll .hscroll-box {
  display: flex;
  gap: 10px;
  overflow-x: scroll;
}
.bottom-hscroll .hscroll-button {
  width: auto;
  flex: 0 0 auto;
  background: var(--primary-color);
  color: var(--white-color) !important;
  border-radius: 10px;
  padding: 15px 10px !important;
  margin: 0 !important;
  border: none;
}
.bottom-hscroll .hscroll-button.active {
  background-color: var(--grey-color);
  color: var(--second-color);
}
.search-hldr {
  display: flex;
  gap: 10px;
}
.search-hldr button {
  margin: 0 !important;
}